@import url("https://fonts.googleapis.com/css2?family=K2D:ital,wght@0,200;0,400;0,800;1,200;1,400;1,800&family=Kanit:ital,wght@0,200;0,300;0,400;0,700;1,200;1,300;1,400;1,700&family=Mitr:wght@400;500;600;700&display=swap");
.fontsize18 {
  font-size: 18px;
}

/* ::-webkit-scrollbar {
  display: block;
  width: 7px;
  border-radius: 20px;
} */

::-webkit-scrollbar-track {
  background: transparent;
}

.page-header,
.auth .auth_left {
  background-image: url("../../img/overlay.png"),
    linear-gradient(45deg, #e37682 15%, #5f4d93 85%);
  /* background: linear-gradient(
    113.1deg,
    rgb(254, 140, 48) 14%,
    rgb(253, 75, 101) 80.5%,
    rgb(252, 74, 26) 100.6%
  ); */
  /* background-image: linear-gradient(
    160deg,
    #e8e3e4,
    #dcbcc1 2%,
    #d48cb6 6%,
    #b46e91 12%,
    #955f83 19%,
    #5d4267 27%,
    #2d2d43 38%,
    #242633 50%,
    #1f2028 68%,
    #1e2029
  ); */
}

body {
  font-family: "K2D", sans-serif !important;
}

.card-header {
  font-family: "Mitr", sans-serif !important;
}

.main-container {
  padding: 30px;
}

/* HEADING */

.heading {
  text-align: center;
}

.heading__title {
  font-weight: 600;
}

.heading__credits {
  margin: 10px 0px;
  color: #888888;
  font-size: 25px;
  transition: all 0.5s;
}

.heading__link {
  text-decoration: none;
}

.heading__credits .heading__link {
  color: inherit;
}

/* CARDS */

.cards {
  display: flex;
  flex-wrap: wrap;
  /* justify-content: space-between; */
}

.card-css {
  /* margin: 5px; */
  padding: 20px;
  /* width: 500px; */
  min-height: 200px;
  display: grid;
  grid-template-rows: 20px 50px 1fr 50px;
  border-radius: 10px;
  box-shadow: 0px 6px 10px rgba(0, 0, 0, 0.25);
  transition: all 0.2s;
}

.card-css:hover {
  box-shadow: 0px 6px 10px rgba(0, 0, 0, 0.4);
  transform: scale(1.01);
}

.card-css1:hover {
  box-shadow: 0px 6px 10px rgba(0, 0, 0, 0.4);
  transform: scale(1.05);
}

.card__link,
.card__exit,
.card__icon {
  position: relative;
  text-decoration: none;
  color: rgba(255, 255, 255, 0.9);
}

.card__link::after {
  position: absolute;
  top: 25px;
  left: 0;
  content: "";
  width: 0%;
  height: 3px;
  background-color: rgba(255, 255, 255, 0.6);
  transition: all 0.5s;
}

.card__link:hover::after {
  width: 100%;
}

/* CARD BACKGROUNDS */

.card-1 {
  /* background: radial-gradient(#1fe4f5, #3fbafe); */
  background: #3fbafe;
}

.card-2 {
  /* background: radial-gradient(#fbc1cc, #fa99b2); */
  background: #fa99b2;
}

.card-3 {
  /* background: radial-gradient(#76b2fe, #b69efe); */
  background: #b69efe;
}

.card-4 {
  /* background: radial-gradient(#60efbc, #58d5c9); */
  background: #58d5c9;
}

.card-5 {
  /* background: radial-gradient(#f588d8, #c0a3e5); */
  background: #c0a3e5;
}

.card-6 {
  /* background: radial-gradient(#EEEEEE, #BCBCBC); */
  /* background: radial-gradient(#F3F6F4, #BCBCBC); */
  background: white;
}

/* RESPONSIVE */

@media (max-width: 1600px) {
  .cards {
    justify-content: center;
  }
}

.card-header {
  padding-bottom: 5px;
}

.card-body {
  padding-top: 5px;
}

/** rewrite */
.title {
  font-weight: 800;
}

.pb-10,
.right_chat,
.new_timeline h4 {
  padding-bottom: 0px;
}

.desc h4 {
  margin-bottom: 0.2rem;
}

main > .container {
  padding: 70px 15px 20px;
}

.footer {
  background-color: #f5f5f5;
  font-size: 0.9em;
  height: 60px;
}

.footer > .container {
  padding-right: 15px;
  padding-left: 15px;
}

.not-set {
  color: #c55;
  font-style: italic;
}

/* add sorting icons to gridview sort links */
a.asc:after,
a.desc:after {
  content: "";
  left: 3px;
  display: inline-block;
  width: 0;
  height: 0;
  border: solid 5px transparent;
  margin: 4px 4px 2px 4px;
  background: transparent;
}

a.asc:after {
  border-bottom: solid 7px #212529;
  border-top-width: 0;
}

a.desc:after {
  border-top: solid 7px #212529;
  border-bottom-width: 0;
}

.grid-view th {
  white-space: nowrap;
}

.hint-block {
  display: block;
  margin-top: 5px;
  color: #999;
}

.error-summary {
  color: #a94442;
  background: #fdf7f7;
  border-left: 3px solid #eed3d7;
  padding: 10px 20px;
  margin: 0 0 15px 0;
}

/* align the logout "link" (button in form) of the navbar */
.nav li > form > button.logout {
  padding-top: 7px;
  color: rgba(255, 255, 255, 0.5);
}

@media (max-width: 767px) {
  .nav li > form > button.logout {
    display: block;
    text-align: left;
    width: 100%;
    padding: 10px 0;
  }
}

.nav > li > form > button.logout:focus,
.nav > li > form > button.logout:hover {
  text-decoration: none;
  color: rgba(255, 255, 255, 0.75);
}

.nav > li > form > button.logout:focus {
  outline: none;
}

.form-group {
  margin-bottom: 1rem;
}

/* --- */

a {
  text-decoration: none;
}

.signout {
  color: white;
}

.signout:hover {
  color: #f0b144;
}

body {
  font-family: "Sarabun", sans-serif;
}

.dark-mode .page-header {
  background: #242526;
}

.card-body {
  padding: 10px;
}

.login {
  display: flex;
  align-items: center;

  background-image: url("../../img/overlay.png"),
    linear-gradient(
      160deg,
      #e8e3e4,
      #dcbcc1 2%,
      #d48cb6 6%,
      #b46e91 12%,
      #955f83 19%,
      #5d4267 27%,
      #2d2d43 38%,
      #242633 50%,
      #1f2028 68%,
      #1e2029
    );
}

.login .login_left {
  display: flex;
  height: 100dvh;
  width: 1600px;
  padding: 0 20px;
  justify-content: center;
  align-items: center;
}

.login .login_right {
  display: flex;
  align-items: center;
  height: 100dvh;
  width: 100%;
}

@media screen and (max-width: 1200px) {
  .login .login_right {
    display: none;
  }
}
.right-bck {
  margin-top: 50px;
  margin-bottom: 50px;
  height: calc(100dvh - 100px);
}
.registration-right {
  height: calc(100dvh - 120px);
  overflow: hidden;
  overflow-y: auto;
}

.registration-right::-webkit-scrollbar {
  width: 10px;
}

.registration-right::-webkit-scrollbar-track {
  background: #f1f1f1;
}

.registration-right::-webkit-scrollbar-thumb {
  background: #888;
}

.registration-right::-webkit-scrollbar-thumb:hover {
  background: #555;
}

.event-list h4 {
  font-size: 16px;
}

.event-list .card-title span {
  padding-left: 5px;
  padding-right: 20px;
  font-size: 12px;
  font-weight: 700;
}

.event-list .card-text {
  font-weight: 700;
}

.cursor-pointer {
  cursor: pointer;
}

.page-item .page-link,
.dataTables_info,
.dt-info,
.dt-search {
  font-size: 12px;
}
.dt-search {
  float: left;
}
.dt-info {
  float: left;
  padding-top: 5px !important;
}
.dt-paging,
.dt-buttons {
  float: right !important;
}
.dt-buttons {
  text-align: right !important;
}
.breadcrumb-item + .breadcrumb-item::before {
  content: var(--bs-breadcrumb-divider, "➤");
  color: red;
}

.vote-title {
  /* background: linear-gradient(
    113.1deg,
    rgb(254, 140, 48) 14%,
    rgb(253, 75, 101) 80.5%,
    rgb(252, 74, 26) 100.6%
  ); */
  /* background-image: linear-gradient(
    160deg,
    #e8e3e4,
    #dcbcc1 2%,
    #d48cb6 6%,
    #b46e91 12%,
    #955f83 19%,
    #5d4267 27%,
    #2d2d43 38%,
    #242633 50%,
    #1f2028 68%,
    #1e2029
  ); */
  border: none;
  background-image: url("../../img/overlay.png"),
    linear-gradient(45deg, #e37682 15%, #5f4d93 85%);
  color: white;
}

.btn-main {
  --bs-btn-color: #fff;
  --bs-btn-bg: rgb(252, 74, 26);
  --bs-btn-border-color: rgb(252, 74, 26);
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: rgb(253, 75, 101);
  --bs-btn-hover-border-color: rgb(253, 75, 101);
  --bs-btn-focus-shadow-rgb: 49, 132, 253;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: rgb(253, 75, 101);
  --bs-btn-active-border-color: rgb(253, 75, 101);
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: rgb(252, 74, 26);
  --bs-btn-disabled-border-color: rgb(252, 74, 26);
}

.invalid-feedback {
  font-size: 10px;
}
@media screen and (max-width: 767px) {
  #tablelist_wrapper .row {
    margin-top: 0 !important;
  }
}

.vote-number {
  display: inline-block;
  width: 40px;
  height: 40px;
  text-align: center;
  font-size: 26px;
}

.checklist-options input {
  display: none;
}

.checklist-options {
  display: grid;
  grid-gap: 10px;
}

.checklist-options.qr {
  grid-gap: 5px;
}

.checklist-options.g-2 {
  grid-template-columns: repeat(2, 1fr);
}
.checklist-options.g-3 {
  grid-template-columns: repeat(3, 1fr);
}

.checklist-options label {
  padding: 10px;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  position: relative;
}

.checklist-options input:checked + label {
  border: 2px var(--bs-border-style) rgb(252, 74, 26) !important;
}

.checklist-options input:checked + label .vote-number {
  border: 1px var(--bs-border-style) rgb(252, 74, 26) !important;
  color: rgb(252, 74, 26) !important;
}

.checklist-options input:checked + label .card-title {
  /* color: rgb(252, 74, 26) !important; */
}

.checklist-options input:checked + label .check i {
  display: block;
}

.checklist-options input:checked + label .check {
  display: inline-flex;
}

.checklist-options label .imgName {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  flex-direction: column;
}

.checklist-options label .vote-number {
  color: var(--bs-card-title-color);
}

.checklist-options .imgName .imgContainer {
  display: flex;
  justify-content: center;
  align-items: center;
}

.checklist-options .check i {
  display: none;
  font-size: 40px;
}

.dark-mode .table td,
.dark-mode .table th {
  color: var(--bs-heading-color);
}

.dark-mode .table td .text-muted,
.dark-mode .table th .text-muted {
  color: #6d747a !important;
}

div.dt-container div.dt-search input {
  margin-left: 0;
}

.custom-alert-three i {
  font-size: 1.5rem;
  margin-right: 0.75rem;
  margin-top: 0.25rem;
  line-height: 1;
}

.dark-mode .page-item .page-link {
  background: none;
}

.dark-mode > .page-link,
.dark-mode .page-link {
  color: var(--bs-heading-color);
}
.dark-mode .disabled > .page-link,
.dark-mode .page-link.disabled {
  color: #6d747a;
}

.select2-container {
  width: 100% !important;
}

.bg-main {
  --bs-bg-opacity: 1;
  background-color: rgb(252, 74, 26) !important;
}

.text-main {
  color: rgb(252, 74, 26) !important;
}

.line {
  height: 1px;
  background-color: #e0e0e0;
}
.rating {
  background-color: #3d5afe;
  color: #fff;
  border-top-left-radius: 5px;
  border-top-right-radius: 5px;
  border-bottom-right-radius: 5px;
}

.candidate-header {
  cursor: pointer;
}

.candidate-header :before {
  position: absolute;
  right: 7px;
  top: 0;
  font-size: 18px;
  display: block;
  font-family: FontAwesome;
  display: inline-block;
  padding-right: 3px;
  vertical-align: middle;
  font-size: 0.756em;
  color: #405189;
}

.overlay {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgba(0, 0, 0, 0.3);
  -webkit-transition: 0.5s;
  -o-transition: 0.5s;
  transition: 0.5s;
  z-index: 9999;
}

.overlay ul {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, 50%);
  margin: 0;
  padding: 0;
  display: flex;
}
.overlay ul li {
  list-style: none;
  width: 20px;
  height: 20px;
  background: #cea321;
  margin: 0 5px;
  border-radius: 50%;
  animation: animate-loading 1.4s linear infinite;
}

@keyframes animate-loading {
  0% {
    transform: translateY(0);
  }
  60% {
    transform: translateY(0);
  }
  80% {
    transform: translateY(-20px);
  }

  100% {
    transform: translateY(0px);
  }
}

.overlay ul li:nth-child(1) {
  animation-delay: -1.2s;
}

.overlay ul li:nth-child(2) {
  animation-delay: -1s;
}

.overlay ul li:nth-child(3) {
  animation-delay: -0.8s;
}

.overlay ul li:nth-child(4) {
  animation-delay: -0.6s;
}
.border-dashed {
  border-style: dashed;
}
